package com.gzkx.commonfunction.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author adc
 */
@Data
public class ServerMetricsDTO {
    // 服务器ID
    private String serverId;
    // 服务器名称
    private String serverName;
    // 服务器地址
    private String serverIp;
    // 采集时间
    private LocalDateTime collectTime;

    // 可用状态 1 可用 0 不可用
    private String status;


    // CPU使用率，如："75.5%"
    private String cpuRatio;
    // CPU型号，如："Intel(R) Xeon(R) CPU E5-2680 v4"
    private String cpuModel;
    // CPU信息，如："8核16线程"
    private String cpuInfo;
    // 系统负载，如："1.5"
  //  private String systemLoad;
    // 每个核心的使用情况
 //   private List<CoreInfo> coreUsages;

    /**  ****** 内存信息 ******** */
    // 总内存，如："16GB"
    private String totalMemory;
    // 已用内存，如："8GB"
    private String usedMemory;
    // 内存使用率，如："50.0%"
    private String memoryRatio;

    // 磁盘信息列表
  //  private List<DiskInfo> disks;

    // 总空间
    private String diskSize;

    // 已用空间
    private String usedSpace;

    // 剩余空间
    private String diskMargin;

    // 磁盘使用率
    private String diskRatio;

    // 网络信息列表
  //  private List<NetworkInfo> networks;

    // 容器监控指标
//    private List<ServerMetrics.ContainerInfo> dockerContainerInfos = new ArrayList<>();
    
    @Data
    public static class DiskInfo {
        private String mountPoint;     // 挂载点，如："/data"
        private String diskSize;     // 总空间，如："500GB"
        private String usedSpace;      // 已用空间，如："200GB"
        private String diskMargin;     // 剩余空间，如："300GB"
        private String diskRatio;      // 使用率，如："40.0%"
        private String readSpeed;      // 读取速度，如："10MB/s"
        private String writeSpeed;     // 写入速度，如："5MB/s"
    }
    
    @Data
    public static class NetworkInfo {
        private String interfaceName;  // 网卡名称，如："eth0"
        private String rxSpeed;        // 接收速度，如："100MB/s"
        private String txSpeed;        // 发送速度，如："50MB/s"
        private String bandwidth;      // 带宽使用率，如："30.5%"
    }
    
    @Data
    public static class CoreInfo {
        private int coreId;           // 核心ID
        private String usage;         // 使用率，如："65.5%"
    }
} 