package com.gzkx.commonfunction.dto;

import cn.hutool.core.date.DateTime;
import lombok.*;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author ADC
 * 数据传输层DTO，映射staffUser
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StaffUserDTO extends PageDTO implements Serializable {

    private String userId;

    private String accountNumber;

    private String password;

    private String email;

    private String telephone;

    @Builder.Default
    private Integer status = 1;

    @Builder.Default
    private Integer deleteFlag = 1;

    private String userType;

    private String createdBy;

    private DateTime createdTime;

    private String updatedTime;

    private String organizationId;

    private String organizationName;

    private String keyword;

    @Serial
    private static final long serialVersionUID = 1L;

}
