package com.gzkx.commonfunction.model;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* 数据库信息表
 * @author adc
*/
@Data
public class DbServerInfo implements Serializable {

    /**
    * 主键ID，唯一标识每条记录
    */
    private String id;
    /**
    * 数据库类型
    */
    private String dbType;
    /**
    * IP地址
    */
    private String dbServerIp;
    /**
    * 端口
    */
    private Integer dbServerPort;
    /**
    * 数据库名称
    */
    private String dbName;
    /**
    * 账号
    */
    private String userName;
    /**
    * 密码
    */
    private String password;
    /**
    * 测试查询内容（语句或key等）
    */
    private String testContent;
    /**
     * 检测死锁的语句
     */
    private String deadlockSql;
    /**
    * 创建时间，默认为当前时间
    */
    private Date createTime;

    /**
     * 响应时间
     */
    private BigDecimal responseTime;

    /**
     * 状态 1 可用 0 不可用 2发生死锁
     */
    private String status;

}
