package com.gzkx.commonfunction.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author adc
 * @TableName menu  菜单表
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Menu implements Serializable {

    private String menuId;

    private String menuName;

    private String parentId;

    private String businessId;

    private String businessName;

    @Builder.Default
    private String isEnabled = "1";

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updatedTime;

    private String notes;

    @Builder.Default
    private Integer deleteFlag = 1;

    @Serial
    private static final long serialVersionUID = 1L;
}