package com.gzkx.commonfunction.model;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gzkx.commonfunction.dto.PageDTO;
import lombok.*;

/**
 * @author adc
 * @TableName organization  业务系统表
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Organization extends PageDTO implements Serializable{

    private String organizationId;

    private String organizationName;

    private String parentId;

    private Integer level;

    @Builder.Default
    private Integer status = 1;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdTime;

    private List<Organization> children;

    @Serial
    private static final long serialVersionUID = 1L;

}