package com.gzkx.commonfunction.model;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gzkx.commonfunction.dto.PageDTO;
import lombok.*;

/**
 * @author adc
 * @TableName role  角色表
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Role extends PageDTO implements Serializable{

    private String roleId;

    private String roleName;

    private String description;

    private String roleAuthStr;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updatedTime;

    private String notes;

    @Builder.Default
    private Integer deleteFlag = 1;

    private String createdBy;

    private String accountNumber;

    private String userId;

    private String menuId;

    @Serial
    private static final long serialVersionUID = 1L;
}