package com.gzkx.commonfunction.model;


import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * @author adc
 * @TableName staff_user  用户表
 */
@Data
public class StaffUser implements Serializable {

    /**
     * 默认ID生成策略是：雪花算法ID
     * AUTO 自增 NONE 空 INPUT 用户输入 ASSIGN_ID 雪花 ASSIGN_ID 唯一 ASSIGN_UUID
     * 具体请查看注解源码
     */
    private String userId;

    private String accountNumber;

    private String password;

    private String email;

    private String telephone;

    private Integer status;

    // 不解释的，逻辑删除字段
    private Integer deleteFlag;

    private String userType;

    private String createdBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updatedTime;

    private String organizationId;

    private String organizationName;

    @Serial
    private static final long serialVersionUID = 1L;
}