package com.gzkx.commonfunction.utils;

import com.zaxxer.hikari.HikariConfig;
import com.zaxxer.hikari.HikariDataSource;


import java.sql.Connection;
import java.sql.SQLException;

public class ConnectionFactory {

    private static final HikariDataSource dataSource;

    static {
        HikariConfig config = new HikariConfig();
        config.setPoolName("Hikari-Pool");
        config.setJdbcUrl("jdbc:postgresql://192.168.1.101:5432/postgres"); // 通过log4jdbc代理
        config.setUsername("postgres");
        config.setPassword("1qaz123$");
        config.setDriverClassName("org.postgresql.Driver");

        // 连接池优化参数
        config.setMaximumPoolSize(20);
        config.setMinimumIdle(5);
        config.setConnectionTimeout(3000);
        config.setIdleTimeout(60000);
        config.setMaxLifetime(1800000);
        config.setAutoCommit(true); // 重要：避免事务冲突

        dataSource = new HikariDataSource(config);
    }

    public static Connection getDataConnectionHikari() throws SQLException {
        return dataSource.getConnection();
    }

}
